can I update a Mac 10.6.8 for new iworks?

I see that a 10.7 or higher is required?

Mac

Follow this Question

1 Answer from the Community

Similar Questions

See more Similar Questions